#ifndef __DRIVER_FRICMOTOR_H
#define __DRIVER_FRICMOTOR_H


#include "Config.h"
#include "stm32f4xx.h"


#ifdef  __DRIVER_FRICMOTOR_GLOBALS
#define __DRIVER_FRICMOTOR_EXT
#else
#define __DRIVER_FRICMOTOR_EXT extern
#endif


#define ARTILLERYFRICCANIDLEFT                  0x201               //ĦCAN ID
#define ARTILLERYFRICCANIDRIGHT                 0x202               //ĦCAN ID
#define ARTILLERYFRICCONTROLCANID               0x200               //ĦֿID


#define ARTILLERYFRICMAXSPEED                  8600                //Ħٶ
#define ARTILLERYFRICMAXCURREN                 30000               //Ħ
#define ARTILLERYFRICMINCURRENOFTMAXSPEED      1200                //ĦٶʱҪС
#define ARTILLERYACCBELOWSPEED                 7000                //Ħٶȵڴٶʱ


//СӢǹһĦ
#if INFANTRY == 6
__DRIVER_FRICMOTOR_EXT int16_t ArtilleryFricRealSpeed[2];          //Ħʵٶ  0    1
__DRIVER_FRICMOTOR_EXT int16_t ArtilleryFricTargetSpeed;           //ĦĿٶ  0ֹͣ  else ٶ
#endif


void FricMotor_InitConfig(void);

#if FRICTYPE == 1
void FricArtillerySpeed_Adjust(int16_t TargetSpeed);
void FricArtilleryMotorCurrent(int16_t LeftArtilleryCurrent, int16_t RightArtilleryCurrent);
#else
void FricGunControl(uint8_t Control);
#endif



#endif
