
#ifndef __DRIVER_STATUSMACHINE_H
#define __DRIVER_STATUSMACHINE_H


#include "stm32f4xx.h"
#include "OSinclude.h"


#define VisiolModeChangeDataSendNum     10


#ifdef  __DRIVER_STATUSMACHINE_GLOBALS
#define __DRIVER_STATUSMACHINE_EXT
#else
#define __DRIVER_STATUSMACHINE_EXT extern
#endif

//Ħ״̬
typedef enum
{
    FricStatus_Stop,
    FricStatus_Working,
    FricStatus_Crazy,
}FricStatus_Enum;


//ģʽ
typedef enum
{
    ControlMode_Protect,            //ģʽȫֹͣ 
    ControlMode_RC,                 //ңƣʽ
    ControlMode_KM,                 //
}ControlMode_Enum;


//ģʽģʽ
typedef enum
{
    KMSubschema_Normal,             //ģʽȫֶģʽ
    KMSubschema_Supply,             //վģʽ
    KMSubschema_Swing,              //ҡģʽ
    KMSubschema_Halfauto,           //Զģʽ
    KMSubschema_Bigsample,          //ģʽ
    KMSubschema_Fullauto,           //ȫԶģʽ
    KMSubschema_AutoCircle,         //תȦ
    KMSubschema_MannualBigsample,   //ֶ
    KMSubschema_FullCircle,         //ȫתȦ
}KMSubschema_Enum;


//״̬
__DRIVER_STATUSMACHINE_EXT ControlMode_Enum         ControlMode;            //ģʽ
__DRIVER_STATUSMACHINE_EXT KMSubschema_Enum         KMSubschema;            //ģʽ
__DRIVER_STATUSMACHINE_EXT FricStatus_Enum          FricStatus;             //Ħ״̬
__DRIVER_STATUSMACHINE_EXT uint8_t                  ShotFlag;               //ÿβϵͳֵ01


void StatusMachine_InitConfig(void);
void StatusMachine_Update(portTickType Tick);


#endif
